# Index

Symbols | D | M | P | S

## Symbols

- --allow-redefinition
  - mypy command line option
- --allow-untyped-globals
  - mypy command line option
- --always-false NAME
  - mypy command line option
- --always-true NAME
  - mypy command line option
- --any-exprs-report DIR
  - mypy command line option
- --cache-dir DIR
  - mypy command line option
- --cache-fine-grained
  - mypy command line option
- --callsites
  - dmypy command line option
- --check-untyped-defs
  - mypy command line option
- --cobertura-xml-report DIR
  - mypy command line option
- --config-file CONFIG_FILE
  - mypy command line option
- --custom-typeshed-dir DIR
  - mypy command line option
- --custom-typing-module MODULE
  - mypy command line option
- --disallow-any-decorated
  - mypy command line option
- --disallow-any-explicit
  - mypy command line option
- --disallow-any-expr
  - mypy command line option
- --disallow-any-generics
  - mypy command line option
- --disallow-any-unimported
  - mypy command line option
- --disallow-incomplete-defs
  - mypy command line option
- --disallow-subclassing-any
  - mypy command line option
- --disallow-untyped-calls
  - mypy command line option
- --disallow-untyped-decorators
  - mypy command line option
- --disallow-untyped-defs
  - mypy command line option
- --doc-dir PATH
  - stubgen command line option
- --export-less
  - stubgen command line option
- --find-occurrences CLASS.MEMBER
  - mypy command line option
- --flex-any FRACTION
  - dmypy command line option
- --follow-imports {normal,silent,skip,error}
  - mypy command line option
- --fswatcher-dump-file FILE
  - dmypy command line option
- --html-report / --xslt-html-report DIR
  - mypy command line option
- --ignore-errors
  - stubgen command line option
- --ignore-missing-imports
  - mypy command line option
- --include-private
  - stubgen command line option
- --json
  - dmypy command line option
- --junit-xml JUNIT_XML
  - mypy command line option
- --linecount-report DIR
  - mypy command line option
- --linecoverage-report DIR
  - mypy command line option
- --lineprecision-report DIR
  - mypy command line option
- --log-file FILE
  - dmypy command line option
- --max-guesses NUMBER
  - dmypy command line option
- --namespace-packages
  - mypy command line option
- --no-any
  - dmypy command line option
- --no-color-output
  - mypy command line option
- --no-error-summary
  - mypy command line option
- --no-errors
  - dmypy command line option
- --no-implicit-optional
  - mypy command line option
- --no-implicit-reexport
  - mypy command line option
- --no-import
  - stubgen command line option
- --no-incremental
  - mypy command line option
- --no-silence-site-packages
  - mypy command line option

- --no-site-packages
  - mypy command line option
- --no-strict-optional
  - mypy command line option
- --no-warn-no-return
  - mypy command line option
- --parse-only
  - stubgen command line option
- --pdb
  - mypy command line option
- --perf-stats-file FILE
  - dmypy command line option
- --platform PLATFORM
  - mypy command line option
- --pretty
  - mypy command line option
- --py2
  - stubgen command line option
- --python-executable EXECUTABLE
  - mypy command line option
- --python-executable PATH
  - stubgen command line option
- --python-version X.Y
  - mypy command line option
- --raise-exceptions
  - mypy command line option
- --remove FILE
  - dmypy command line option
- --scripts-are-modules
  - mypy command line option
- --search-path PATH
  - stubgen command line option
- --shadow-file SOURCE_FILE SHADOW_FILE
  - mypy command line option
- --show-absolute-path
  - mypy command line option
- --show-column-numbers
  - mypy command line option
- --show-error-codes
  - mypy command line option
- --show-error-context
  - mypy command line option
- --show-traceback, --tb
  - mypy command line option
- --skip-cache-mtime-checks
  - mypy command line option
- --skip-version-check
  - mypy command line option
- --sqlite-cache
  - mypy command line option
- --status-file FILE
  - dmypy command line option
- --strict
  - mypy command line option
- --strict-equality
  - mypy command line option
- --timeout TIMEOUT
  - dmypy command line option
- --try-text
  - dmypy command line option
- --txt-report / --xslt-txt-report DIR
  - mypy command line option
- --update FILE
  - dmypy command line option
- --use-fixme NAME
  - dmypy command line option
- --warn-incomplete-stub
  - mypy command line option
- --warn-redundant-casts
  - mypy command line option
- --warn-return-any
  - mypy command line option
- --warn-unreachable
  - mypy command line option
- --warn-unused-configs
  - mypy command line option
- --warn-unused-ignores
  - mypy command line option
- --xml-report DIR
  - mypy command line option
- -2, --py2
  - mypy command line option
- -c PROGRAM_TEXT, --command PROGRAM_TEXT
  - mypy command line option
- -h, --help
  - mypy command line option
- -m MODULE, --module MODULE
  - mypy command line option
  - stubgen command line option
- -o PATH, --output PATH
  - stubgen command line option
- -p PACKAGE, --package PACKAGE
  - mypy command line option
  - stubgen command line option
- -q, --quiet
  - stubgen command line option
- -v, --verbose
  - mypy command line option
  - stubgen command line option
- -V, --version
  - mypy command line option

## D

- dmypy command line option
  - --callsites
  - --flex-any FRACTION
  - --fswatcher-dump-file FILE
  - --json
  - --log-file FILE
  - --max-guesses NUMBER
  - --no-any
  - --no-errors
  - --perf-stats-file FILE
  - --remove FILE
  - --status-file FILE
  - --timeout TIMEOUT
  - --try-text
  - --update FILE
  - --use-fixme NAME

## M

- mypy command line option
  - --allow-redefinition
  - --allow-untyped-globals
  - --always-false NAME
  - --always-true NAME
  - --any-exprs-report DIR
  - --cache-dir DIR
  - --cache-fine-grained
  - --check-untyped-defs
  - --cobertura-xml-report DIR
  - --config-file CONFIG_FILE
  - --custom-typeshed-dir DIR
  - --custom-typing-module MODULE
  - --disallow-any-decorated
  - --disallow-any-explicit
  - --disallow-any-expr
  - --disallow-any-generics
  - --disallow-any-unimported
  - --disallow-incomplete-defs
  - --disallow-subclassing-any
  - --disallow-untyped-calls
  - --disallow-untyped-decorators
  - --disallow-untyped-defs
  - --find-occurrences CLASS.MEMBER
  - --follow-imports {normal,silent,skip,error}
  - --html-report / --xslt-html-report DIR
  - --ignore-missing-imports
  - --junit-xml JUNIT_XML
  - --linecount-report DIR
  - --linecoverage-report DIR
  - --lineprecision-report DIR
  - --namespace-packages
  - --no-color-output
  - --no-error-summary
  - --no-implicit-optional
  - --no-implicit-reexport
  - --no-incremental
  - --no-silence-site-packages
  - --no-site-packages
  - --no-strict-optional
  - --no-warn-no-return
  - --pdb
  - --platform PLATFORM
  - --pretty
  - --python-executable EXECUTABLE
  - --python-version X.Y
  - --raise-exceptions
  - --scripts-are-modules
  - --shadow-file SOURCE_FILE SHADOW_FILE
  - --show-absolute-path
  - --show-column-numbers
  - --show-error-codes
  - --show-error-context
  - --show-traceback, --tb
  - --skip-cache-mtime-checks
  - --skip-version-check
  - --sqlite-cache
  - --strict
  - --strict-equality
  - --txt-report / --xslt-txt-report DIR
  - --warn-incomplete-stub
  - --warn-redundant-casts
  - --warn-return-any
  - --warn-unreachable
  - --warn-unused-configs
  - --warn-unused-ignores
  - --xml-report DIR
  - -2, --py2
  - -V, --version
  - -c PROGRAM_TEXT, --command PROGRAM_TEXT
  - -h, --help
  - -m MODULE, --module MODULE
  - -p PACKAGE, --package PACKAGE
  - -v, --verbose

## P

- Python Enhancement Proposals
  - PEP 3107
  - PEP 420, [1]
  - PEP 484, [1], [2], [3], [4], [5], [6], [7], [8]
  - PEP 484#function-method-overloading
  - PEP 484#suggested-syntax-for-python-2-7-and-straddling-code
  - PEP 484#the-type-of-class-objects, [1]
  - PEP 484#type-aliases
  - PEP 492, [1]
  - PEP 525
  - PEP 526, [1], [2], [3]
  - PEP 530
  - PEP 544, [1]
  - PEP 557
  - PEP 561, [1], [2], [3], [4], [5], [6], [7], [8]
  - PEP 561#stub-only-packages
  - PEP 563

## S

- stubgen command line option
  - --doc-dir PATH
  - --export-less
  - --ignore-errors
  - --include-private
  - --no-import
  - --parse-only
  - --py2
  - --python-executable PATH
  - --search-path PATH
  - -m MODULE, --module MODULE
  - -o PATH, --output PATH
  - -p PACKAGE, --package PACKAGE
  - -q, --quiet
  - -v, --verbose